using System;

namespace BoxingDemo
{
	/// <summary>
	/// Summary description for Class.
	/// </summary>
	class Class
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main(string[] args)
		{
			Object aObj;
			int iValue;

			iValue = 2003;
			aObj = new Object();
			aObj = iValue;
			Console.WriteLine(aObj.ToString());

			iValue = (int) aObj + 999;
			Console.WriteLine(iValue.ToString());
		}
	}
}
